Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wli.jpd
Enum UnexpectedMessage.Action

    java.lang.Object
      java.lang.Enum<UnexpectedMessage.Action>
          com.bea.wli.jpd.UnexpectedMessage.Action

All Implemented Interfaces:
  Serializable, Comparable<UnexpectedMessage.Action>

Enclosing class:
  UnexpectedMessage

    public static enum UnexpectedMessage.Action

extends Enum<UnexpectedMessage.Action>

Enum Constant Summary
`DISCARD`
`SAVE`

Method Summary
`static UnexpectedMessage.Action` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UnexpectedMessage.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SAVE

    public static final UnexpectedMessage.Action SAVE

### DISCARD

    public static final UnexpectedMessage.Action DISCARD

Method Detail

### values

    public static final UnexpectedMessage.Action[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(UnexpectedMessage.Action c : UnexpectedMessage.Action.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static UnexpectedMessage.Action valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD